import React from "react";
import { FieldRendererProps, HandleChangeFunc } from "react-immutable-form/types";
export type DateTemplatePropTypes = FieldRendererProps<HTMLInputElement> & {
    readonly customClass?: any;
    readonly customOnChange: (date: Date, handleDateChanged: () => void, handleChange: HandleChangeFunc) => any;
};
export declare const DateInputInner: (props: DateTemplatePropTypes) => JSX.Element;
export declare const RawDateInput: React.MemoExoticComponent<(props: DateTemplatePropTypes) => JSX.Element>;
