"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RawTextareaTemplate = void 0;
const immutable_1 = __importDefault(require("immutable"));
const react_1 = __importDefault(require("react"));
const SimpleTextarea_1 = require("./SimpleTextarea");
const util_1 = require("./util");
const TextareaTemplateInner = (props) => {
    const { componentProps = immutable_1.default.Map() } = props, { leftClass, rightClass, label } = react_1.default.useMemo(() => ((0, util_1.getTemplateInfo)(componentProps)), [componentProps]);
    return (react_1.default.createElement("div", { className: "row" },
        react_1.default.createElement("label", { className: leftClass, htmlFor: props.name }, label),
        react_1.default.createElement("div", { className: rightClass },
            react_1.default.createElement(SimpleTextarea_1.RawSimpleTextarea, Object.assign({}, props)))));
};
exports.RawTextareaTemplate = react_1.default.memo(TextareaTemplateInner);
//# sourceMappingURL=TextareaTemplate.js.map