import React from "react";
import { FieldRendererProps } from "react-immutable-form/types";
export type CaptchaBoxProps = FieldRendererProps<HTMLInputElement> & {
    readonly left?: string;
    readonly right?: string;
    readonly words: {
        CaptchaVerify: string;
        CaptchaTypeNumbers: string;
    };
    readonly id: string;
};
export declare const RawCaptchaBox: React.MemoExoticComponent<(props: CaptchaBoxProps) => JSX.Element>;
